libdbd-odbc-perl (1.60-1) unstable; urgency=medium

  * Email change: Xavier Guimard -> yadd@debian.org
  * Import upstream version 1.60

 -- Xavier Guimard <yadd@debian.org>  Sat, 03 Nov 2018 07:50:11 +0100

libdbd-odbc-perl (1.59-1) unstable; urgency=medium

  * Import upstream version 1.59
  * declare compliance with policy 4.2.0
  * Use https link for unicode license

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 15 Aug 2018 11:17:14 +0200

libdbd-odbc-perl (1.58-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Xavier Guimard ]
  * New upstream version
  * Declare compliance with Debian Policy 4.1.3
  * Bump debhelper compatibility level to 10
  * Add debian/libdbd-odbc-perl.links to replace duplicate example

  [ gregor herrmann ]
  * Fix DBI_DSN variable for tests and autopkgtest.
    Update syntax to use an explicit database name for the test SQLite3
    database, and remove the created file after the tests during build. This
    allows one to build twice in a row.
    Thanks to Xavier for detecting this stray file.
  * debian/copyright: remove an unneeded URL, change another to HTTPS.
    Thanks to duck.

  [ Xavier Guimard ]
  * Override Lintian error license-problem-convert-utf-code.
    The license was changed and the new Unicode license is DFSG-free.
    See #864729 for more information.

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 26 Mar 2018 22:40:33 +0200

libdbd-odbc-perl (1.56-1) unstable; urgency=medium

  * Import upstream version 1.56.
  * Drop 0001-Fix-a-duplicate-key-in-META.yml.patch, fixed upstream.

 -- gregor herrmann <gregoa@debian.org>  Sat, 29 Oct 2016 19:13:54 +0200

libdbd-odbc-perl (1.52-3) unstable; urgency=medium

  * Enable tests during build and autopkgtest.
    This uses the SQLite3 driver, as upstream does on their travis tests.
    (Closes: #839212)
  * Set bindnow linker flag in debian/rules.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 01 Oct 2016 19:07:32 +0200

libdbd-odbc-perl (1.52-2) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.
  * Remove Brian Cassidy from Uploaders. Thanks for your work!
  * Remove Carlo Segre from Uploaders. Thanks for your work!
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Niko Tyni ]
  * Patch META.yml to remove a duplicate key. (Closes: #839201)
  * Declare Standards-Version 3.9.8.

 -- Niko Tyni <ntyni@debian.org>  Fri, 30 Sep 2016 10:54:08 +0300

libdbd-odbc-perl (1.52-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Axel Beckert ]
  * Replace CVTUTF download URL by capture of the Wayback Machine. The
    software has been retired and is no more available. Thanks DUCK!

  [ gregor herrmann ]
  * Add debian/upstream/metadata.
  * Import upstream version 1.52.
  * Update years of packaging copyright.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Nov 2015 16:18:43 +0100

libdbd-odbc-perl (1.50-1) unstable; urgency=medium

  * New upstream release.
  * Add note about behaviour changes to debian/NEWS.

 -- gregor herrmann <gregoa@debian.org>  Sat, 26 Jul 2014 14:30:10 +0200

libdbd-odbc-perl (1.48-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * Strip trailing slash from metacpan URLs.

  [ Xavier Guimard ]
  * Imported Upstream version 1.48
  * Add notes about behaviour changes to debian/NEWS
  * Update years of upstream and packaging copyright

 -- Xavier Guimard <x.guimard@free.fr>  Fri, 21 Mar 2014 06:32:18 +0100

libdbd-odbc-perl (1.45-1) unstable; urgency=low

  * Imported Upstream version 1.45
  * Update debian/copyright years
  * Claim conformance with Policy 3.9.5

 -- Xavier Guimard <x.guimard@free.fr>  Fri, 29 Nov 2013 06:20:31 +0100

libdbd-odbc-perl (1.43-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Xavier Guimard ]
  * Imported Upstream version 1.43
  * Bump Standards-Version to 3.9.4
  * Add myself to uploaders
  * Add notes about behaviour changes to debian/NEWS.
  * Add libdbi-perl in dependencies

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 19 May 2013 06:47:41 +0200

libdbd-odbc-perl (1.37-1) unstable; urgency=low

  * New upstream release.
  * Remove spelling.patch, applied upstream.
  * Add notes about behaviour changes to debian/NEWS.

 -- gregor herrmann <gregoa@debian.org>  Tue, 10 Apr 2012 19:46:36 +0200

libdbd-odbc-perl (1.35-1) unstable; urgency=low

  * New upstream release.
  * Update years of upstream and packaging copyright.
  * debian/copyright: update to Copyright-Format 1.0.
  * Refresh spelling.patch (offset).
  * The upstream build system is now multiarch-aware. Drop
    Makefile_multiarch.patch, simplify debian/{rules,control}.
  * Bump Standards-Version to 3.9.3 (no changes).
  * Use debhelper 9.20120312 to get all hardening flags.
  * Add note about behaviour change from upstream Changes file to
    debian/NEWS.

 -- gregor herrmann <gregoa@debian.org>  Sun, 18 Mar 2012 18:42:26 +0100

libdbd-odbc-perl (1.33-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches (offset).

 -- gregor herrmann <gregoa@debian.org>  Fri, 02 Dec 2011 17:07:13 +0100

libdbd-odbc-perl (1.31-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * Make the build system compatible with the multi-arched odbc-dev.
    This includes:
    - debian/rules: pointing Makefile.PL to the multiarch directory
    - patching Makefile.PL to actually use the value
    - build depending on dpkg-dev (>= 1.16.0)
    Thanks to Dominic Hargreaves for the bug report (closes: #642237).

 -- gregor herrmann <gregoa@debian.org>  Tue, 20 Sep 2011 21:01:31 +0200

libdbd-odbc-perl (1.31-1) unstable; urgency=low

  * New upstream release
  * Raised standards version to 3.9.2
  * Some example scripts did not have correct permissions or any shebang

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 04 Jul 2011 12:06:16 +0100

libdbd-odbc-perl (1.29-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Bump to debhelper compat 8

  [ gregor herrmann ]
  * Update years of copyright.
  * Refresh spelling.patch (offset).
  * Add note about changes in error reporting to debian/NEWS.
  * debian/rules: run Makefile.PL with "-x" to indicate we build against
    unixODBC and not iODBC, and pass "-o /usr" to avoid some more guessing.

 -- Jonathan Yu <jawnsy@cpan.org>  Tue, 08 Mar 2011 22:12:27 -0500

libdbd-odbc-perl (1.27-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Use perl_dbi addon for dh.
    * Bump build-dependency on libdbi-perl to >= 1.612.
  * Bump Standards-Version to 3.9.0 (no changes).
  * Update my email address.

  [ Nicholas Bamber ]
  * Added myself to Uploaders
  * New upstream release
  * Bump Standards-Version to 3.9.1
  * Refreshed copyright
  * Added patch to fix spelling mistake

  [ Jonathan Yu ]
  * New upstream release
  * Add a NEWS file discussing the transition from ODBC 2.0 to 3

  [ gregor herrmann ]
  * Add build dependency on Test::Simple 0.90.

 -- Jonathan Yu <jawnsy@cpan.org>  Mon, 21 Feb 2011 10:29:42 -0500

libdbd-odbc-perl (1.24-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Remove spelling patch, fixed upstream
  * Update copyright information
    + Properly use DEP5 format
    + Update debian/* copyright holders list from changelog

  [ gregor herrmann ]
  * Convert upstream changelog from POD to text/plain.
  * Update years of upstream copyright.
  * Install upstream FAQ (converted to plain text).

 -- gregor herrmann <gregoa@debian.org>  Mon, 24 May 2010 16:28:52 +0200

libdbd-odbc-perl (1.23-2) unstable; urgency=low

  * Add dependency on perl-dbdapi-* (see #577209).
    + Needs build-dep on libdbi-perl (>= 1.610.90+is+1.609-1~).
  * debian/copyright: Minor changes for current DEP-5 proposal.
  * Bump Standards-Version to 3.8.4.
  * Use source format 3.0 (quilt).
  * Fix spelling error in documentation.
    + new patch: spelling.patch
  * Add myself to Uploaders.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 24 Apr 2010 14:28:26 +0900

libdbd-odbc-perl (1.23-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Standards-Version 3.8.3 (drop versioned dependency on perl)
  * Drop version dependency on libdbi-perl (oldstable has 1.53)
  * Change to new short debhelper rules format + overrides

  [ Ryan Niebur ]
  * Update jawnsy's email address

 -- Jonathan Yu <jawnsy@cpan.org>  Wed, 23 Sep 2009 08:16:53 -0400

libdbd-odbc-perl (1.22-1) unstable; urgency=low

  * New upstream release
    -> Serious bug fixes, especially when using this with Unicode strings
       larger than 64KB.
    -> Some more FAQ entries
  * Updated description
  * Added /me to Uploaders

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * debian/copyright: add additional copyright holder.
  * Set Standards-Version to 3.8.2 (no changes).

 -- Jonathan Yu <frequency@cpan.org>  Fri, 19 Jun 2009 05:10:25 -0400

libdbd-odbc-perl (1.21-1) unstable; urgency=low

  * New upstream release

 -- Brian Cassidy <brian.cassidy@gmail.com>  Thu, 30 Apr 2009 09:31:47 -0300

libdbd-odbc-perl (1.20-1) unstable; urgency=low

  [ Brian Cassidy ]
  * New upstream release
  * debian/control: added myself to Uploaders

  [ gregor herrmann ]
  * debian/watch: remove unused "debian" suffix.

 -- Brian Cassidy <brian.cassidy@gmail.com>  Mon, 27 Apr 2009 11:39:22 -0300

libdbd-odbc-perl (1.19-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: update years of upstream copyright.
  * Set Standards-Version to 3.8.1 (no changes).
  * Install an additional README.

 -- gregor herrmann <gregoa@debian.org>  Thu, 09 Apr 2009 20:56:32 +0200

libdbd-odbc-perl (1.18-1) unstable; urgency=low

  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  * New upstream release.
  * debian/copyright: switch to new format.
  * Set debhelper compatibility level to 7; adapt
    debian/{control,compat,rules}.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Jan 2009 22:44:47 +0100

libdbd-odbc-perl (1.17-1) unstable; urgency=low

  * New upstream release.
  * Refresh debian/rules; examples are now in "examples/"; remove some unused
    targets, remove executable bit from example scripts.
  * debian/control: change my email address, wrap long lines, mention module
    name in long description.
  * debian/copyright: update upstream copyright notice; point to exact
    upstream source location.

 -- gregor herrmann <gregoa@debian.org>  Wed, 08 Oct 2008 18:11:06 +0200

libdbd-odbc-perl (1.16-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/watch: remove dash from the version capture.
  * debian/rules: delete /usr/share/perl5 only if it exists.
  * debian/watch: use dist-based URL.

  [ Joachim Breitner ]
  * Removed myself from uploaders.

  [ Gunnar Wolf ]
  * New upstream release
  * Added myself as an uploader
  * Bumped up standards-version to 3.8.0
  * Added proper copyright information

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 10 Aug 2008 10:49:58 -0500

libdbd-odbc-perl (1.13-5) unstable; urgency=low

  [ gregor herrmann ]
  * Add dh_md5sums to debian/rules.

  [ Damyan Ivanov ]
  * Drop unused dh_installdirs
  * Honour errors from $(MAKE) distclean

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Fri, 17 Aug 2007 12:55:33 +0200

libdbd-odbc-perl (1.13-4) unstable; urgency=low

  * Change debhelper compatibility level to 5.
  * Add install target to debian/rules (closes: #375882)

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Wed, 28 Jun 2006 20:16:07 +0200

libdbd-odbc-perl (1.13-3) unstable; urgency=low

  * Change standards version to 3.7.2
  * Change to debhelper compatibility level 4

 -- Carlo Segre <segre@iit.edu>  Thu,  8 Jun 2006 13:00:17 -0500

libdbd-odbc-perl (1.13-2) unstable; urgency=low

  * Remove build dependency on odbcinst1 (Closes: #319567)
  * Change standards version to 3.6.2
  * Modified source package name to libdbd-odbc to be
    consistent with Perl package naming scheme
  * New maintainer -
    Debian Perl Group <pkg-perl-maintainer@lists.alioth.debian.org>
    via Carlo Segre <segre@iit.edu>

 -- Carlo Segre <segre@iit.edu>  Sat, 23 July 2005 17:12:15 -0500

dbd-odbc (1.13-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Nov 2004 12:02:37 -0600

dbd-odbc (1.12-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 31 Oct 2004 20:44:42 -0600

dbd-odbc (1.11-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 Oct 2004 19:41:46 -0500

dbd-odbc (1.10-1) unstable; urgency=low

  * New upstream release
  * debian/watch: Updated watch file to $CPAN/modules/by-module/DBD

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Sep 2004 13:32:41 -0500

dbd-odbc (1.09-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Mar 2004 06:38:36 -0600

dbd-odbc (1.08-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  9 Mar 2004 19:54:52 -0600

dbd-odbc (1.07-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 22 Feb 2004 14:43:01 -0600

dbd-odbc (1.06-1) unstable; urgency=low

  * New upstream release
  * debian/control: Section changed to perl
  * debian/control: Standards-Version upgraded to 3.6.1.0
  * Makefile.PL: Replaced spaces with a tab on line 427

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 10 Nov 2003 20:22:08 -0600

dbd-odbc (1.05-1) unstable; urgency=low

  * New upstream version released yesterday

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 15 Mar 2003 13:09:20 -0600

dbd-odbc (1.04-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Jan 2003 19:09:32 -0600

dbd-odbc (1.03-3) unstable; urgency=low

  * dbdimp.c: New upstream version with fudge for strncmpi / strncasecmp

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Jan 2003 18:41:59 -0600

dbd-odbc (1.03-2) unstable; urgency=low

  * dbdimp.c: Added small patch which wraps an #ifdef around the strcmpi
    use and employs strncasecmp instead on Debian systems (Closes: #177989)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Jan 2003 21:10:10 -0600

dbd-odbc (1.03-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Jan 2003 07:07:08 -0600

dbd-odbc (0.43-3) unstable; urgency=low

  * debian/control: Build-Depends on perl (>= 5.8.0) added.

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Aug 2002 20:04:52 -0500

dbd-odbc (0.43-2) unstable; urgency=low

  * Rebuilt against new Perl 5.8.0 packages

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  6 Aug 2002 00:33:55 -0500

dbd-odbc (0.43-1) unstable; urgency=low

  * Upgraded to new upstream version 0.43

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 19 Jul 2002 20:21:18 -0500

dbd-odbc (0.41-1) unstable; urgency=low

  * Upgraded to new upstream version 0.41

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  4 Jun 2002 06:42:07 -0500

dbd-odbc (0.40-1) unstable; urgency=low

  * Upgraded to new upstream version 0.40

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 14 Apr 2002 08:04:34 -0500

dbd-odbc (0.39-1) unstable; urgency=low

  * Upgraded to new upstream version 0.39
  * Upstream switched to building with the unixodbc library instead of the
    iodbc library, and no longer includes the old (2.5.*) iODBC library in
    the sources. unixodbc implements a newer ODBC standard. We follow,
    especially as it no longer builds with iODBC.
  * Makefile.PL: Patch to ensure unixodbc is selected when iodbc libs are
    also present on system as is the case for Debian, sent upstream too
  * Build-Depends on unixodbc-dev and odbcinst1, not libiodbc2-dev

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Mar 2002 12:44:43 -0600

dbd-odbc (0.38-1) unstable; urgency=low

  * Upgraded to new upstream version after a NMU of libdbi-perl
  * debian/control: Build-Depends on libdbi-perl (>= 1.21) per Makefile.PL

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 Feb 2002 20:21:25 -0600

dbd-odbc (0.31-1) unstable; urgency=low

  * Upgraded to new upstream version
  * debian/copyright: Corrected common-license/GPL file ref (lintian)
  * debian/control: Upgraded to Standard-Version 3.5.0

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 19 Jan 2002 09:16:24 -0600

dbd-odbc (0.28-4) unstable; urgency=low

  * Rebuilt against Perl 5.6.0
  * Big thanks to Brendan O'Dea <bod@debian.org> for some quick help

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Feb 2001 22:14:08 -0600

dbd-odbc (0.28-3) unstable; urgency=low

  * debian/control: Fixed silly Perl var in Build-Depends (Closes: #85671)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Feb 2001 22:41:17 -0600

dbd-odbc (0.28-2) unstable; urgency=low

  * debian/control: Added to Build-Depends (Closes: #65963)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Jun 2000 21:28:33 -0400

dbd-odbc (0.28-1) unstable; urgency=low

  * Initial Debian release.

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 28 May 2000 20:36:01 -0400
